/************************************************************************************/
/* 7188EX/7188XB/7186EX+X703 head file                                              */
/*                                                                                  */
/* X703: Encoder                                                                    */
/************************************************************************************/
#ifndef __X703_H
#define __X703_H

#define OK 		 				0	
#define CHANNEL_OUT_RANGE	-1
#define MODE_ERROR			-2  


#ifdef __cplusplus //for C++ compile
extern "C"{
#endif

int X703_GetLibVersion(void);

void X703_GetLibDate(char *LibDate);

int X703_Init(void);

int X703_SetMode( int ch, int Mode);

int X703_GetMode(int ch, int* Mode);

int X703_GetLineStatus(int ch, int* A_Status,int* B_Status,int* C_Status);

int X703_GetIndex(int ch,int* index);

int X703_SetXOR(int ch, int Xor);

int X703_GetXOR(int ch, int* Xor);

int X703_Read24BitEncoder(int ch, long* EnCode24);

int X703_ResetEncoder(int ch);


#ifdef __cplusplus
}
#endif

#endif
